%global srcname argcomplete

Name:           python-%{srcname}
Summary:        Bash tab completion for argparse
Version:        1.12.3
Release:        %mkrel 1
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/kislyuk/argcomplete
Source0:        %{srcname}-%{version}.tar.xz
BuildArch:      noarch

%description
Argcomplete provides easy, extensible command line tab completion of
arguments for your Python script.

It makes two assumptions:

 * You are using bash as your shell
 * You are using argparse to manage your command line arguments/options

Argcomplete is particularly useful if your program has lots of
options or subparsers, and if your program can dynamically suggest
completions for your argument/option values (for example, if the user
is browsing resources over the network).

%package -n python3-%{srcname}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{srcname}}

# pkg_resources module is used from python-argcomplete-check-easy-install-script
Requires:       python3-setuptools

%description -n python3-%{srcname}
Argcomplete provides easy, extensible command line tab completion of
arguments for your Python script.

It makes two assumptions:

 * You are using bash as your shell
 * You are using argparse to manage your command line arguments/options

Argcomplete is particularly useful if your program has lots of
options or subparsers, and if your program can dynamically suggest
completions for your argument/option values (for example, if the user
is browsing resources over the network).

%prep
%setup -qn %{srcname}-%{version}

# Drop bundled egg-info
rm -rf *.egg-info

# Remove useless BRs
sed -i -r -e '/tests_require = /s/"(coverage|flake8|wheel)"[, ]*//g' setup.py

%build
%py3_build

%install
%py3_install

mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
install -p -m0644 %{buildroot}%{python3_sitelib}/%{srcname}/bash_completion.d/python-argcomplete %{buildroot}%{_sysconfdir}/bash_completion.d/


%files -n python3-%{srcname}
%doc README.rst LICENSE.rst
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/
%{_bindir}/activate-global-python-argcomplete
%{_bindir}/python-argcomplete-check-easy-install-script
%{_bindir}/python-argcomplete-tcsh
%{_bindir}/register-python-argcomplete
%{_sysconfdir}/bash_completion.d/python-argcomplete

%changelog
* Sat Aug 20 2022 TerryN <terryn94 at gmail.com> 1.12.3-1pclos2022
- import for python 3.10
